package com.iformall.domain.vo;

import java.io.Serializable;
import java.text.DecimalFormat;
import com.iformall.domain.po.WxDateAmountRecord;
import lombok.Data;

/**
 * 交易记录核销记录Vo
 * @author jinguo
 *
 */

@Data
public class AmountRecordVo implements Serializable{
	
	private static final long serialVersionUID = 4494858079134918638L;
	//核销金额记录
	private WxDateAmountRecord amountDetail;
	
	private Integer amount;
	
	private String amountStr;

	private String mouthAndDate;

	public String getAmountStr() {
		if(amount!=null) {
			DecimalFormat df=new DecimalFormat("0.00");
			amountStr = df.format((float)amount/100);
		}
		return amountStr;
	}

}
